## opencpn-plugin-statusbar 0.6.0

=== CMakeLists.txt ===
##---------------------------------------------------------------------------
## Author:      Sean D'Epagnier
## ***************************************************************************
## *   Copyright (C) 2013 by Sean D'Epagnier                                 *
## *   This program is free software; you can redistribute it and/or modify  *
## *   it under the terms of the GNU General Public License as published by  *
## *   the Free Software Foundation; either version 3 of the License, or     *
## *   (at your option) any later version.                                   *
## *                                                                         *
## *   This program is distributed in the hope that it will be useful,       *
## *   but WITHOUT ANY WARRANTY; without even the implied warranty of        *
## *   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the         *
## *   GNU General Public License for more details.                          *
## *                                                                         *
## *   You should have received a copy of the GNU General Public License     *
## *   along with this program; if not, write to the                         *
## *   Free Software Foundation, Inc.,                                       *
## *   51 Franklin Street, Fifth Floor, Boston, MA 02110-1301,  USA.         *
## ***************************************************************************


# define minimum cmake version
CMAKE_MINIMUM_REQUIRED(VERSION 2.6.2)

PROJECT(statusbar_pi)
SET(PACKAGE_NAME statusbar_pi)
SET(VERBOSE_NAME Statusbar)
SET(TITLE_NAME Statusbar)
SET(CPACK_PACKAGE_CONTACT "Sean D'Epagnier ")

INCLUDE( VERSION.cmake )
SET(PLUGIN_VERSION "${PLUGIN_VERSION_MAJOR}.${PLUGIN_VERSION_MINOR}.${PLUGIN_VERSION_PATCH}" )

SET(VERSION_MAJOR ${PLUGIN_VERSION_MAJOR})
SET(VERSION_MINOR "${PLUGIN_VERSION_MINOR}")
SET(VERSION_DATE ${PLUGIN_VERSION_DATE})

INCLUDE("cmake/PluginConfigure.cmake")

SET(SRC_STATUSBAR
    src/statusbar_pi.cpp
    src/TexFont.cpp
    src/StatusbarUI.cpp
    src/icons.cpp
)


ADD_LIBRARY(${PACKAGE_NAME} SHARED ${SRC_STATUSBAR} )

INCLUDE("cmake/PluginInstall.cmake")
INCLUDE("cmake/PluginLocalization.cmake")
INCLUDE("cmake/PluginPackage.cmake")

=== debian/changelog ===
opencpn-plugin-statusbar (0.6.0-0mx19+1) mx; urgency=medium

  * Rebuild for MX-19.

 -- Mike Purtell <mmikeinsantarosa@mxlinux.org>  Mon, 12 Aug 2019 15:46:22 -0700

opencpn-plugin-statusbar (0.6.0-0mx17+1) mx; urgency=medium

  * Rebuild for MX-17/18.

 -- Mike Purtell <mmikeinsantarosa@mxlinux.org>  Mon, 12 Aug 2019 15:32:39 -0700

opencpn-plugin-statusbar (0.6.0-0~xenial1) xenial; urgency=low

  * v0.6

 -- Pavel Kalian <pavel@kalian.cz>  Thu, 25 Feb 2016 14:46:22 -0600

opencpn-plugin-statusbar (0.5.0-0~precise1) precise; urgency=low

  * v0.5

 -- Pavel Kalian <pavel@kalian.cz>  Thu, 04 Jun 2015 13:30:28 -0500

opencpn-plugin-statusbar (0.5.0-0~trusty1) trusty; urgency=low

  * v0.5

 -- Pavel Kalian <pavel@kalian.cz>  Thu, 04 Jun 2015 13:30:28 -0500

opencpn-plugin-statusbar (0.5.0-0~utopic1) utopic; urgency=low

  * v0.5

 -- Pavel Kalian <pavel@kalian.cz>  Thu, 04 Jun 2015 13:30:28 -0500

opencpn-plugin-statusbar (0.5.0-0~vivid1) vivid; urgency=low

  * v0.5

 -- Pavel Kalian <pavel@kalian.cz>  Thu, 04 Jun 2015 13:30:28 -0500

opencpn-plugin-statusbar (0.5.0-0~wily1) wily; urgency=low

  * v0.5

 -- Pavel Kalian <pavel@kalian.cz>  Thu, 04 Jun 2015 13:30:28 -0500

opencpn-plugin-statusbar (0.4.1-0~lucid1) lucid; urgency=low

  * v0.4.1

 -- Pavel Kalian <pavel@kalian.cz>  Wed, 22 Apr 2015 13:25:49 -0500

opencpn-plugin-statusbar (0.4.1-0~precise1) precise; urgency=low

  * v0.4.1

 -- Pavel Kalian <pavel@kalian.cz>  Wed, 22 Apr 2015 13:25:49 -0500

opencpn-plugin-statusbar (0.4.1-0~trusty1) trusty; urgency=low

  * v0.4.1

 -- Pavel Kalian <pavel@kalian.cz>  Wed, 22 Apr 2015 13:25:49 -0500

opencpn-plugin-statusbar (0.4.1-0~utopic1) utopic; urgency=low

  * v0.4.1

 -- Pavel Kalian <pavel@kalian.cz>  Wed, 22 Apr 2015 13:25:49 -0500

opencpn-plugin-statusbar (0.4.1-0~vivid1) vivid; urgency=low

  * v0.4.1

 -- Pavel Kalian <pavel@kalian.cz>  Wed, 22 Apr 2015 13:25:49 -0500

opencpn-plugin-statusbar (0.4.0-0~lucid1) lucid; urgency=low

  * v0.4

 -- Pavel Kalian <pavel@kalian.cz>  Wed, 22 Apr 2015 12:14:38 -0500

opencpn-plugin-statusbar (0.4.0-0~precise1) precise; urgency=low

  * v0.4

 -- Pavel Kalian <pavel@kalian.cz>  Wed, 22 Apr 2015 12:14:38 -0500

opencpn-plugin-statusbar (0.4.0-0~trusty1) trusty; urgency=low

  * v0.4

 -- Pavel Kalian <pavel@kalian.cz>  Wed, 22 Apr 2015 12:14:38 -0500

opencpn-plugin-statusbar (0.4.0-0~utopic1) utopic; urgency=low

  * v0.4

 -- Pavel Kalian <pavel@kalian.cz>  Wed, 22 Apr 2015 12:14:38 -0500

opencpn-plugin-statusbar (0.4.0-0~vivid1) vivid; urgency=low

  * v0.4

 -- Pavel Kalian <pavel@kalian.cz>  Wed, 22 Apr 2015 12:14:38 -0500

=== debian/control ===
Source: opencpn-plugin-statusbar
Section: misc
Priority: extra
Maintainer: Mike Purtell <mmikeinsantarosa@mxlinux.org>
XSBC-Original-Maintainer: Pavel Kalian <pavel@kalian.cz>
Build-Depends: debhelper (>= 10), cmake, cdbs, libgtk2.0-dev, gettext, gpsd, gpsd-clients, libgps-dev, wx-common, libwxgtk3.0-dev, libglu1-mesa-dev, libgtk2.0-dev, wx3.0-headers, libbz2-dev, libtinyxml-dev, libsdl1.2debian, libportaudio2, portaudio19-dev
Standards-Version: 3.9.3
Homepage: http://www.opencpn.org
#Vcs-Git: git://git.debian.org/collab-maint/opencpn.git
#Vcs-Browser: http://git.debian.org/?p=collab-maint/opencpn.git;a=summary

Package: opencpn-plugin-statusbar
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, wx3.0-i18n, opencpn (>= 4.1.0)
Description: Plugin for OpenCPN
 OpenCPN is a free software (GPLv2) project to create a concise chartplotter and navigation software for use as an underway or planning tool.  OpenCPN is developed by a team of active sailors using real world conditions for program testing and refinement.
